Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Class DomainStructureDef

    java.lang.Object
      |
      +--oracle.jbo.domain.DomainStructureDef

public class DomainStructureDef
extends java.lang.Object
implements StructureDef

Constructor Summary
`DomainStructureDef(AttributeDef[] attrDefs)`

Method Summary
`AttributeDef` | `findAttributeDef(java.lang.String name)` Gets an attribute definition by name.
`int` | `getAttributeCount()` Counts the defined attributes.
`AttributeDef` | `getAttributeDef(int index)` Gets an attribute definition by index.
`AttributeDef[]` | `getAttributeDefs()` Gets the defined attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainStructureDef

    public DomainStructureDef(AttributeDef[] attrDefs)

Method Detail

### getAttributeDefs

    public AttributeDef[] getAttributeDefs()

  Gets the defined attributes.
  Specified by:
    getAttributeDefs in interface StructureDef
  Returns:
    an array of attribute definitions.

### getAttributeCount

    public int getAttributeCount()

  Counts the defined attributes.
  Specified by:
    getAttributeCount in interface StructureDef
  Returns:
    the number of attributes.

### findAttributeDef

    public AttributeDef findAttributeDef(java.lang.String name)

  Gets an attribute definition by name.
  Specified by:
    findAttributeDef in interface StructureDef
  Parameters:
    `name` - the name of an `AttributeDef`.
  Returns:
    an attribute definition, or `null` if not found.

### getAttributeDef

    public AttributeDef getAttributeDef(int index)

  Gets an attribute definition by index.
  Specified by:
    getAttributeDef in interface StructureDef
  Parameters:
    `index` - the index of an `AttributeDef`, where the leftmost attribute has index zero.
  Returns:
    an attribute definition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD